Strabon

diff pom.xml @ 69:f16c92bf67b1

Cleaned up all poms.
author Kostis Kyzirakos <kkyzir@di.uoa.gr>
date Wed Mar 21 22:03:35 2012 +0100 (2012-03-21)
parents ca4ebeead182
children 0833b90288cb
line diff
     1.1 --- a/pom.xml	Tue Mar 20 10:54:48 2012 +0100
     1.2 +++ b/pom.xml	Wed Mar 21 22:03:35 2012 +0100
     1.3 @@ -1,4 +1,5 @@
     1.4 -<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
     1.5 +<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     1.6 +	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
     1.7  
     1.8  	<modelVersion>4.0.0</modelVersion>
     1.9  
    1.10 @@ -25,7 +26,7 @@
    1.11  		<module>monetdb</module>
    1.12  		<module>generaldb</module>
    1.13  		<module>resultio</module>
    1.14 -		<module>webapp</module>
    1.15 +		<module>endpoint</module>
    1.16  	</modules>
    1.17  
    1.18  	<properties>
    1.19 @@ -34,13 +35,57 @@
    1.20  		<aduna.appbase.version>3.5.0</aduna.appbase.version>
    1.21  		<slf4j.version>1.6.1</slf4j.version>
    1.22  		<spring.version>2.5.6</spring.version>
    1.23 +		<jts.version>1.8</jts.version>
    1.24  		<geotools.version>2.7.4</geotools.version>
    1.25 -                <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    1.26 -                <project.build.targetEncoding>UTF-8</project.build.targetEncoding>
    1.27 +		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    1.28 +		<project.build.targetEncoding>UTF-8</project.build.targetEncoding>
    1.29  	</properties>
    1.30  
    1.31  	<dependencyManagement>
    1.32  		<dependencies>
    1.33 +			<!-- Strabon dependencies -->
    1.34 +			<dependency>
    1.35 +				<groupId>org.openrdf.sesame</groupId>
    1.36 +				<artifactId>sesame-queryalgebra-evaluation-spatial</artifactId>
    1.37 +				<version>${eu.earthobservatory.version}</version>
    1.38 +			</dependency>
    1.39 +
    1.40 +			<dependency>
    1.41 +				<groupId>org.openrdf.sesame</groupId>
    1.42 +				<artifactId>sesame-queryresultio-sparqlxml-spatial</artifactId>
    1.43 +				<version>${eu.earthobservatory.version}</version>
    1.44 +			</dependency>
    1.45 +
    1.46 +			<dependency>
    1.47 +				<groupId>org.openrdf.sesame</groupId>
    1.48 +				<artifactId>sesame-sail-generaldb</artifactId>
    1.49 +				<version>${eu.earthobservatory.version}</version>
    1.50 +			</dependency>
    1.51 +
    1.52 +			<dependency>
    1.53 +				<groupId>org.openrdf.sesame</groupId>
    1.54 +				<artifactId>sesame-sail-monetdb</artifactId>
    1.55 +				<version>${eu.earthobservatory.version}</version>
    1.56 +			</dependency>
    1.57 +
    1.58 +			<dependency>
    1.59 +				<groupId>org.openrdf.sesame</groupId>
    1.60 +				<artifactId>sesame-sail-postgis</artifactId>
    1.61 +				<version>${eu.earthobservatory.version}</version>
    1.62 +			</dependency>
    1.63 +
    1.64 +			<dependency>
    1.65 +				<groupId>org.openrdf.sesame</groupId>
    1.66 +				<artifactId>strabon-runtime</artifactId>
    1.67 +				<version>${eu.earthobservatory.version}</version>
    1.68 +			</dependency>
    1.69 +
    1.70 +			<dependency>
    1.71 +				<groupId>org.openrdf.sesame</groupId>
    1.72 +				<artifactId>strabon-endpoint</artifactId>
    1.73 +				<version>${eu.earthobservatory.version}</version>
    1.74 +			</dependency>
    1.75 +
    1.76  			<!-- Sesame dependencies -->
    1.77  			<dependency>
    1.78  				<groupId>org.openrdf.sesame</groupId>
    1.79 @@ -74,12 +119,6 @@
    1.80  
    1.81  			<dependency>
    1.82  				<groupId>org.openrdf.sesame</groupId>
    1.83 -				<artifactId>sesame-sail-monetdb</artifactId>
    1.84 -				<version>${eu.earthobservatory.version}</version>
    1.85 -			</dependency>
    1.86 -
    1.87 -			<dependency>
    1.88 -				<groupId>org.openrdf.sesame</groupId>
    1.89  				<artifactId>sesame-sail-generaldb</artifactId>
    1.90  				<version>${eu.earthobservatory.version}</version>
    1.91  			</dependency>
    1.92 @@ -138,8 +177,21 @@
    1.93  				<version>${sesame.version}</version>
    1.94  			</dependency>
    1.95  
    1.96 +			<dependency>
    1.97 +				<groupId>org.openrdf.sesame</groupId>
    1.98 +				<artifactId>sesame-repository-sparql</artifactId>
    1.99 +				<version>${sesame.version}</version>
   1.100 +			</dependency>
   1.101 +
   1.102  			<!-- Aduna Commons -->
   1.103  			<dependency>
   1.104 +				<groupId>info.aduna.appbase</groupId>
   1.105 +				<artifactId>aduna-appbase</artifactId>
   1.106 +				<version>${aduna.appbase.version}</version>
   1.107 +				<type>pom</type>
   1.108 +			</dependency>
   1.109 +			
   1.110 +			<dependency>
   1.111  				<groupId>info.aduna.commons</groupId>
   1.112  				<artifactId>aduna-commons-collections</artifactId>
   1.113  				<version>2.8.0</version>
   1.114 @@ -169,6 +221,49 @@
   1.115  				<version>2.5.0</version>
   1.116  			</dependency>
   1.117  
   1.118 +			<!-- RIO -->
   1.119 +			<dependency>
   1.120 +				<groupId>org.openrdf.sesame</groupId>
   1.121 +				<artifactId>sesame-rio-rdfxml</artifactId>
   1.122 +				<version>${sesame.version}</version>
   1.123 +			</dependency>
   1.124 +
   1.125 +			<dependency>
   1.126 +				<groupId>org.openrdf.sesame</groupId>
   1.127 +				<artifactId>sesame-rio-ntriples</artifactId>
   1.128 +				<version>${sesame.version}</version>
   1.129 +			</dependency>
   1.130 +
   1.131 +			<dependency>
   1.132 +				<groupId>org.openrdf.sesame</groupId>
   1.133 +				<artifactId>sesame-rio-turtle</artifactId>
   1.134 +				<version>${sesame.version}</version>
   1.135 +			</dependency>
   1.136 +
   1.137 +			<dependency>
   1.138 +				<groupId>org.openrdf.sesame</groupId>
   1.139 +				<artifactId>sesame-rio-trig</artifactId>
   1.140 +				<version>${sesame.version}</version>
   1.141 +			</dependency>
   1.142 +
   1.143 +			<dependency>
   1.144 +				<groupId>org.openrdf.sesame</groupId>
   1.145 +				<artifactId>sesame-rio-trix</artifactId>
   1.146 +				<version>${sesame.version}</version>
   1.147 +			</dependency>
   1.148 +
   1.149 +			<dependency>
   1.150 +				<groupId>org.openrdf.sesame</groupId>
   1.151 +				<artifactId>sesame-rio-n3</artifactId>
   1.152 +				<version>${sesame.version}</version>
   1.153 +			</dependency>
   1.154 +
   1.155 +			<dependency>
   1.156 +				<groupId>org.openrdf.sesame</groupId>
   1.157 +				<artifactId>sesame-rio-binary</artifactId>
   1.158 +				<version>${sesame.version}</version>
   1.159 +			</dependency>
   1.160 +
   1.161  			<!-- GeoTools -->
   1.162  			<dependency>
   1.163  				<groupId>org.geotools.xsd</groupId>
   1.164 @@ -205,35 +300,38 @@
   1.165  				<version>${geotools.version}</version>
   1.166  			</dependency>
   1.167  
   1.168 -
   1.169  			<dependency>
   1.170  				<groupId>org.geotools</groupId>
   1.171  				<artifactId>gt-opengis</artifactId>
   1.172  				<version>${geotools.version}</version>
   1.173  			</dependency>
   1.174  
   1.175 -			<!-- 
   1.176 -			<dependency> 
   1.177 -				<groupId>org.opengis</groupId> 
   1.178 -				<artifactId>geoapi</artifactId> 
   1.179 -				<version>3.0.0</version> 
   1.180 -			</dependency> 
   1.181 -			-->
   1.182 +			<!-- JTS -->
   1.183 +			<dependency>
   1.184 +				<groupId>com.vividsolutions</groupId>
   1.185 +				<artifactId>jts</artifactId>
   1.186 +				<version>${jts.version}</version>
   1.187 +				<type>jar</type>
   1.188 +			</dependency>
   1.189  
   1.190  			<!-- JDBC Drivers -->
   1.191  			<dependency>
   1.192 +				<groupId>monetdb</groupId>
   1.193 +				<artifactId>jdbcclient</artifactId>
   1.194 +				<version>3.4.0</version>
   1.195 +			</dependency>
   1.196 +
   1.197 +			<dependency>
   1.198  				<groupId>postgresql</groupId>
   1.199  				<artifactId>postgresql</artifactId>
   1.200  				<version>9.0-801.jdbc4</version>
   1.201  			</dependency>
   1.202  
   1.203 -			<!--
   1.204  			<dependency>
   1.205  				<groupId>mysql</groupId>
   1.206  				<artifactId>mysql-connector-java</artifactId>
   1.207  				<version>5.1.15</version>
   1.208  			</dependency>
   1.209 -			-->			
   1.210  
   1.211  			<!-- SLF4J -->
   1.212  			<dependency>
   1.213 @@ -248,11 +346,11 @@
   1.214  				<version>${slf4j.version}</version>
   1.215  			</dependency>
   1.216  
   1.217 -	                <dependency>
   1.218 -        	                <groupId>net.sf</groupId>
   1.219 -                	        <artifactId>log4jdbc4</artifactId>
   1.220 -                        	<version>1.2</version>
   1.221 -	                </dependency>
   1.222 +			<dependency>
   1.223 +				<groupId>net.sf</groupId>
   1.224 +				<artifactId>log4jdbc4</artifactId>
   1.225 +				<version>1.2</version>
   1.226 +			</dependency>
   1.227  
   1.228  			<!-- Apache Commons -->
   1.229  			<dependency>
   1.230 @@ -374,7 +472,7 @@
   1.231  				<version>4.7</version>
   1.232  				<scope>test</scope>
   1.233  			</dependency>
   1.234 -			
   1.235 +
   1.236  			<!-- Various -->
   1.237  			<dependency>
   1.238  				<groupId>cglib</groupId>